osgUtil::OperationArrayFunctor< T > Class Template Reference

`#include <OperationArrayFunctor>`

Inheritance diagram for osgUtil::OperationArrayFunctor< T >:

## Public Member Functions

virtual void | apply (osg::Array &)
virtual void | apply (osg::Vec2Array &array)
virtual void | apply (osg::Vec3Array &array)
virtual void | apply (osg::Vec4Array &array)
virtual void | apply (osg::Vec4ubArray &array)
virtual void | apply (osg::Vec2bArray &array)
virtual void | apply (osg::Vec3bArray &array)
virtual void | apply (osg::Vec4bArray &array)
virtual void | apply (osg::Vec2sArray &array)
virtual void | apply (osg::Vec3sArray &array)
virtual void | apply (osg::Vec4sArray &array)
virtual void | apply (osg::Vec2dArray &array)
virtual void | apply (osg::Vec3dArray &array)
virtual void | apply (osg::Vec4dArray &array)
Public Member Functions inherited from osg::ArrayVisitor
| ArrayVisitor ()
virtual | ~ArrayVisitor ()
virtual void | apply (ByteArray &)
virtual void | apply (ShortArray &)
virtual void | apply (IntArray &)
virtual void | apply (UByteArray &)
virtual void | apply (UShortArray &)
virtual void | apply (UIntArray &)
virtual void | apply (FloatArray &)
virtual void | apply (DoubleArray &)
virtual void | apply (Vec2iArray &)
virtual void | apply (Vec3iArray &)
virtual void | apply (Vec4iArray &)
virtual void | apply (Vec2ubArray &)
virtual void | apply (Vec3ubArray &)
virtual void | apply (Vec2usArray &)
virtual void | apply (Vec3usArray &)
virtual void | apply (Vec4usArray &)
virtual void | apply (Vec2uiArray &)
virtual void | apply (Vec3uiArray &)
virtual void | apply (Vec4uiArray &)
virtual void | apply (MatrixfArray &)
virtual void | apply (MatrixdArray &)
virtual void | apply (UInt64Array &)
virtual void | apply (Int64Array &)

## Member Function Documentation

## apply() [1/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Array & |  | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [2/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec2Array & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [3/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec2bArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [4/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec2dArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [5/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec2sArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [6/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec3Array & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [7/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec3bArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [8/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec3dArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [9/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec3sArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [10/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec4Array & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [11/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec4bArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [12/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec4dArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [13/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec4sArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

## apply() [14/14]

template<class T>

virtual void osgUtil::OperationArrayFunctor< T >::apply | ( | osg::Vec4ubArray & | array | ) |

inline virtual

Reimplemented from osg::ArrayVisitor.

The documentation for this class was generated from the following file:

- OperationArrayFunctor